<?php
include_once(getabspath("include/senuc_atividades_settings.php"));

function DisplayMasterTableInfo_senuc_atividades($params)
{
	$detailtable = $params["detailtable"];
	$keys = $params["keys"];
	$detailPageObj = $params["detailPageObj"];
	global $conn,$strTableName;
	$xt = new Xtempl();
	$oldTableName = $strTableName;
	$strTableName = "senuc_atividades";
	
	$settings = new ProjectSettings($strTableName, PAGE_LIST);
	$cipherer = new RunnerCipherer($strTableName);
	
	$masterQuery = $settings->getSQLQuery();
	
	$viewControls = new ViewControlsContainer($settings, PAGE_LIST);

$where = "";
$mKeys = array();
$showKeys = "";

global $page_styles, $page_layouts, $page_layout_names, $container_styles;

$layout = new TLayout("masterlist","BreezeAqua1","MobileAqua1");
$layout->blocks["bare"] = array();
$layout->containers["0"] = array();

$layout->containers["0"][] = array("name"=>"masterlistheader","block"=>"","substyle"=>1);


$layout->skins["0"] = "empty";
$layout->blocks["bare"][] = "0";
$layout->containers["mastergrid"] = array();

$layout->containers["mastergrid"][] = array("name"=>"masterlistfields","block"=>"","substyle"=>1);


$layout->skins["mastergrid"] = "grid";
$layout->blocks["bare"][] = "mastergrid";$page_layouts["senuc_atividades_masterlist"] = $layout;


if($detailtable == "senuc_atividades_aluno")
{
		$where.= GetFullFieldName("id", "", false)."=".$cipherer->MakeDBValue("id",$keys[1-1], "", "", true);
	$showKeys .= " "."Id".": ".$keys[1-1];
	$xt->assign('showKeys',$showKeys);
}
	if(!$where)
	{
		$strTableName = $oldTableName;
		return;
	}
	$str = SecuritySQL("Search");
	if(strlen($str))
		$where.= " and ".$str;

	$strWhere = whereAdd($masterQuery->WhereToSql(),$where);
	if(strlen($strWhere))
		$strWhere = " where ".$strWhere." ";
	$strSQL = $masterQuery->HeadToSql().' '.$masterQuery->FromToSql().$strWhere.$masterQuery->TailToSql();

//	$strSQL = AddWhere($strSQL,$where);
	LogInfo($strSQL);
	$rs = db_query($strSQL,$conn);
	$data = $cipherer->DecryptFetchedArray($rs);
	if(!$data)
	{
		$strTableName = $oldTableName;
		return;
	}
	$keylink = "";
	$keylink.="&key1=".htmlspecialchars(rawurlencode(@$data["id"]));
	

//	tipo_atividade - 
			$value="";

					$xt->assign("tipo_atividade_mastervalue", $viewControls->showDBValue("tipo_atividade", $data, $keylink));

//	materia_atividade - 
			$value="";

					$xt->assign("materia_atividade_mastervalue", $viewControls->showDBValue("materia_atividade", $data, $keylink));

//	id_professor - 
			$value="";

					$xt->assign("id_professor_mastervalue", $viewControls->showDBValue("id_professor", $data, $keylink));

//	nome_atividade - 
			$value="";

					$xt->assign("nome_atividade_mastervalue", $viewControls->showDBValue("nome_atividade", $data, $keylink));

//	data_atividade - Short Date
			$value="";

					$xt->assign("data_atividade_mastervalue", $viewControls->showDBValue("data_atividade", $data, $keylink));

//	id_nucleo - 
			$value="";

					$xt->assign("id_nucleo_mastervalue", $viewControls->showDBValue("id_nucleo", $data, $keylink));

//	atividade - Document Download
			$value="";

					$xt->assign("atividade_mastervalue", "<span class='runner-field-file'>".$viewControls->showDBValue("atividade", $data, $keylink)."</span>");

//	id_turma - 
			$value="";

					$xt->assign("id_turma_mastervalue", $viewControls->showDBValue("id_turma", $data, $keylink));

	$viewControls->addControlsJSAndCSS();
	$detailPageObj->viewControlsMap['mViewControlsMap'] = $viewControls->viewControlsMap;

	$layout = GetPageLayout("senuc_atividades", 'masterlist');
	if($layout)
		$xt->assign("pageattrs", 'class="'.$layout->style." page-".$layout->name.'"');
	
	$xt->display("senuc_atividades_masterlist.htm");
	
	$strTableName=$oldTableName;
}

?>